gRPC C#
gRPC C#
Namespaces
Grpc.Core
Channel Class
Channel Constructor
Channel Constructor (String, Credentials, IEnumerable(ChannelOption))
Channel Constructor (String, Int32, Credentials, IEnumerable(ChannelOption))

Channel Constructor (String, Credentials, IEnumerable ChannelOption )

Creates a channel that connects to a specific host. Port will default to 80 for an unsecure channel and to 443 for a secure channel.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public Channel(
    	string target,
    	Credentials credentials,
    	IEnumerable<ChannelOption> options = null
    )

    Public Sub New (
    	target As String,
    	credentials As Credentials,
    	Optional options As IEnumerable(Of ChannelOption) = Nothing
    )

    public:
    Channel(
    	String^ target,
    	Credentials^ credentials,
    	IEnumerable<ChannelOption^>^ options = nullptr
    )

    new :
            target : string *
            credentials : Credentials *
            ?options : IEnumerable<ChannelOption>
    (* Defaults:
            let _options = defaultArg options null
    *)
    -> Channel

#### Parameters

target
  Type: System
  String
  Target of the channel.
credentials
  Type: Grpc.Core
  Credentials
  Credentials to secure the channel.
options (Optional)
  Type: System.Collections.Generic
  IEnumerable
  ChannelOption
  Channel options.

See Also

#### Reference

Channel Class
Channel Overload
Grpc.Core Namespace